---
import Video from '~/components/widgets/Video.astro';
import data from '~/data.json';
import { convertStringToSlug, getVideoTitle } from '~/utils/utils';

const { type } = Astro.props;

const items = data.filter((item) => item.type.toLowerCase() == type.toLowerCase());
---

{
    items.map((item) =>
        <h3 id={convertStringToSlug(item.title)}>{item.title}</h3>
        <p>{item.description}</p>
        <div class="video-title">{item.videoTitle}</div>
        <Video code={item.code} videoTitle={getVideoTitle(item.title, item.videoTitle)}/>
    )
}